Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class CategoryBean

    java.lang.Object
      |
      +--com.beasys.portal.ejb.BaseBean
            |
            +--com.beasys.portal.ejb.CategoryBean

public class CategoryBean
extends BaseBean

Implementation for portal categories (pages).

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `iconURL` The icon to display in the header.
`java.lang.String` | `name` the category name.
`int` | `order` Page order for the category.
`java.lang.String` | `portalName` The portal name.

Fields inherited from class com.beasys.portal.ejb.BaseBean
`ctx, isModified`

Constructor Summary
`CategoryBean()`

Method Summary
`void` | `ejbCreate(CategoryPK pk)` Override the base class create.
`void` | `ejbPostCreate(CategoryPK pk)` Override the base class post create.
`java.lang.String` | `getIconURL()` Get icon url.
`java.lang.String` | `getName()` Get name.
`int` | `getOrder()` Get order.
`java.lang.String` | `getPortalName()` Get portal name.
`void` | `setIconURL(java.lang.String aURL)` Set icon url.
`void` | `setOrder(int anOrder)` Set order.

Methods inherited from class com.beasys.portal.ejb.BaseBean
`ejbActivate, ejbLoad, ejbPassivate, ejbRemove, ejbStore, isModified, setEntityContext, unsetEntityContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  the category name.

### portalName

    public java.lang.String portalName

  The portal name.

### order

    public int order

  Page order for the category.

### iconURL

    public java.lang.String iconURL

  The icon to display in the header.

Constructor Detail

### CategoryBean

    public CategoryBean()

Method Detail

### ejbCreate

    public void ejbCreate(CategoryPK pk)
                   throws javax.ejb.CreateException,
                          java.rmi.RemoteException

  Override the base class create.
  Parameters:
    `pk` - the primary key for the category.
  Throws:
    `CreateException` - error on creation.
    `RemoteException` - container error.

### ejbPostCreate

    public void ejbPostCreate(CategoryPK pk)
                       throws javax.ejb.CreateException,
                              java.rmi.RemoteException

  Override the base class post create.
  Parameters:
    `pk` - the primary key for the category
  Throws:
    `CreateException` - error on creation.
    `RemoteException` - container error.

### getName

    public java.lang.String getName()

  Get name.
  Returns:
    `String` the name.

### getPortalName

    public java.lang.String getPortalName()

  Get portal name.
  Returns:
    `String` the portal name.

### getOrder

    public int getOrder()

  Get order.
  Returns:
    `int` the order.

### setOrder

    public void setOrder(int anOrder)

  Set order.
  Parameters:
    `anOrder` - the order.

### getIconURL

    public java.lang.String getIconURL()

  Get icon url.
  Returns:
    `String` the icon url.

### setIconURL

    public void setIconURL(java.lang.String aURL)

  Set icon url.
  Parameters:
    `aURL` - the url.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved